<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Oppgave 3. Matlageret (25%)</title>
</head>
<body>

	<h3>Matlageret</h3>
	<label>Produktnavn</label>
	<input id="txtProductName" type="text"><br>
	<label>Antall på lager</label>
	<input id="txtNumProducts" type="text"><br>
	<input id="addProductBtn" type="button" value="Legg til produkt i array">
	<input id="showProductsBtn" type="button" value="Vis produkter du har lagt til">
	<div id="outputDiv"></div>
	
	<script>

		const productsArr = [];

		//Elements
		const productNameInput = document.getElementById("txtProductName");
		const numProductsInput = document.getElementById("txtNumProducts");
		const addProductBtn = document.getElementById("addProductBtn");
		const showProductsBtn = document.getElementById("showProductsBtn");
		const outputDiv = document.getElementById("outputDiv");

		//Listeners
		addProductBtn.onclick = addProduct;
		showProductsBtn.onclick = showProducts;

		/* Besvarelse legges til før og/eller etter funksjonen */

		function sortByAmount(a, b) {
		  if (a.amount < b.amount) {
			return 1;
		  }
		  if (a.amount > b.amount) {
			return -1;
		  }
		  return 0;
		}

		function mapProductObjToHTML(projectObj) {
			return `
				<br>Produkt Navn: ${projectObj.productName}
				<br>Antall: ${projectObj.amount}<br>
			`;
		}

		function showProducts() {
			let html = "";
			const arr = productsArr;

			arr.sort(sortByAmount);
			for (let i = 0; i < arr.length; i++) {
				html += mapProductObjToHTML(arr[i]);
			}
			outputDiv.innerHTML = html;
		}

		function addProduct() {
			const name = productNameInput.value;
			const numProducts = parseInt(numProductsInput.value);

			if (name.length && numProducts) {
				const newProduct = {productName: name, amount: numProducts};
				productsArr.push(newProduct);
				productNameInput.value = "";
				numProductsInput.value = "";
			}
			else {
				//Handle field empty
				alert("Du må fylle inn både produktnavn og antall på lager")
			}
		}

	</script>
</body>
</html>


